Revoke permission from a user or remove public access
curl --request POST \
--url https://apigw.mka1.com/api/v1/authorization/git/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "repo",
"resourceId": "octocat/hello-world",
"userId": "user-abc456",
"role": "reader"
}
'import requests
url = "https://apigw.mka1.com/api/v1/authorization/git/revoke"
payload = {
"resourceType": "repo",
"resourceId": "octocat/hello-world",
"userId": "user-abc456",
"role": "reader"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceType: 'repo',
resourceId: 'octocat/hello-world',
userId: 'user-abc456',
role: 'reader'
})
};
fetch('https://apigw.mka1.com/api/v1/authorization/git/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Resource Authorization
Revoke permission from a user or remove public access
Revoke a role from a user for a git resource, or remove public access by using ”*” as userId. Only owners can revoke permissions.
POST
/
api
/
v1
/
authorization
/
git
/
revoke
Revoke permission from a user or remove public access
Authorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Type of git resource
Available options:
repo Unique identifier for the resource
Required string length:
1 - 79Unique identifier for the user, or "*" to grant/revoke public access
Required string length:
1 - 169Permission role for the resource (owner > writer > reader)
Available options:
owner, writer, reader Response
Permission revoked successfully
Was this page helpful?
⌘I